
''''''''''''''''''''''''''''''''''''
'' GOOBERPIPES (BLITZMAX / LINUX) ''
''''''''''''''''''''''''''''''''''''
''	BUILD DATE: 	2020-06-28
''	VERSION:			0.2.00
''
''	NOTES:
''		Version 0.2.00 was depicted because this is write-up 2
''		of the engine and game. Previously the version number was 0.XX.
''		Version 1.0.00 will be the first release of the game.
''		
''		So what's new this time around? I seem to be getting stuck with
''		how objects are supposed to be linked together, so instead, I'm
''		going to 'abuse the global namespace' and keep everything global
''		instead of being referenced by object paths. This means that
''		I may or may not need to put "gb" or "pi" as a prefix for commands
''		and variables, but it may not need to be that way. We'll see.
''
''		Oh, and by the way, no one else is going to see this code. Only me.
''		I'm making this game for me. That's why I'm building this on Linux
''		and worrying about a Windows port later.
''

SuperStrict
Import sdl.sdl

''''''''''''''
'' Includes ''
''''''''''''''

include "gb/gb.bmx"
'include "pi/pi.bmx"
'include "ma/ma.bmx"

''''''''''''
'' Events ''
''''''''''''

function event_init()
	gb_init()
endfunction

function event_load()
	gb_load()
endfunction

function event_start()
	gb_start()
endfunction

function event_update(d:float)
	gb_update(d)
endfunction

function event_draw(x:float=0, y:float=0)
	gb_draw(x,y)
endfunction

function event_end()
	gb_end()
endfunction

function event_main()
	event_init()
	event_load()
	event_start()
	while bool_eq(gb_running,true) and appterminate()=false
		cls()
		event_update(0)
		event_draw(0,0)
		flip(1)
	wend
	event_end()
endfunction

''''''''''
'' main ''
''''''''''

event_main()